Subject: Re: bug#57574: [PATCH] Add Python import management commands

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Sep 2022 13:18:09 +0200

Augusto Stoffel <[email-masked]> writes:

> This patch adds a few commands to help managing import statements in
> Python projects.  (I submitted equivalent code some time ago as a
> potential ELPA package, and it was noted that this fits better in
> python.el itself.)

Thanks; pushed to Emacs 29.

> PS: Wouldn't it be handy also in other places to have a macro that
> creates a temp buffer but doesn't switch to it?  Maybe with signature
> (with-temp-buffers (NAMES &rest BODY)).

Hm...  I can see how that can be useful in some cases, but it's probably
not a very common usage pattern.  But I think there's a real problem
that people would just be confused and mistake that for something that
does the same thing as with-temp-buffer.